Bug 10751 - DNS_TYPE_NS records might be changed to use DNS_RANK_NS_GLUE
DNS_TYPE_NS records might be changed to use DNS_RANK_NS_GLUE
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10077 10749
  Show dependency treegraph
 
Reported: 2014-07-29 11:55 UTC by Stefan Metzmacher
Modified: 2014-09-08 18:55 UTC (History)
4 users (show)

See Also:


Attachments
Patches to rpc dnsserver (2.03 KB, patch)
2014-08-20 13:06 UTC, Amitay Isaacs
no flags Details
Patches for v4-1-test (4.13 KB, patch)
2014-09-04 09:15 UTC, Stefan Metzmacher
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-07-29 11:55:17 UTC
samba-tool dns add 172.31.9.183 w2012r2-l4.base mydns NS mydns.org.

should result in:

dnsRecord:     NDR: struct dnsp_DnssrvRpcRecord
        wDataLength              : 0x000d (13)
        wType                    : DNS_TYPE_NS (2)
        version                  : 0x05 (5)
        rank                     : DNS_RANK_NS_GLUE (130)
        flags                    : 0x0000 (0)
        dwSerial                 : 0x00000028 (40)
        dwTtlSeconds             : 0x00000384 (900)
        dwReserved               : 0x00000000 (0)
        dwTimeStamp              : 0x00000000 (0)
        data                     : union dnsRecordData(case 2)
        ns                       : mydns.org

But against samba it will be:

dnsRecord:     NDR: struct dnsp_DnssrvRpcRecord
        wDataLength              : 0x000d (13)
        wType                    : DNS_TYPE_NS (2)
        version                  : 0x05 (5)
        rank                     : DNS_RANK_ZONE (240)
        flags                    : 0x0000 (0)
        dwSerial                 : 0x00000009 (9)
        dwTtlSeconds             : 0x00000384 (900)
        dwReserved               : 0x00000000 (0)
        dwTimeStamp              : 0x0037515b (3625307)
        data                     : union dnsRecordData(case 2)
        ns                       : mydns.org

There's also a difference in dwTimeStamp.
Comment 1 Amitay Isaacs 2014-08-20 13:06:43 UTC
Created attachment 10205 [details]
Patches to rpc dnsserver
Comment 2 Stefan Metzmacher 2014-09-04 09:15:20 UTC
Created attachment 10254 [details]
Patches for v4-1-test
Comment 3 Stefan Metzmacher 2014-09-04 15:14:45 UTC
(In reply to comment #2)
> Created attachment 10254 [details]
> Patches for v4-1-test

Karolin, please add cherry-pick information for

0b4a3b76111411e8969932a3da4ffab989e0da4c s4-rpc: dnsserver: return DNS_RANK_NS_GLUE recors when explicitly asked for
Comment 4 Karolin Seeger 2014-09-05 18:32:11 UTC
Pushed to autobuild-v4-1-test.
Comment 5 Karolin Seeger 2014-09-08 18:55:50 UTC
Pushed to v4-1-test (included in 4.1.12).
Closing out bug report.

Thanks!